Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.functions
Class Function

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.functions.Function

Direct Known Subclasses:
  FuncCurrent, FuncExtFunction, FuncFalse, FuncLast, FuncPosition, FunctionOneArg, FuncTrue

public class Function
extends Expression

**For advanced use only** This is a superclass of all XPath functions. This allows two ways for the class to be called. One method is that the super class processes the arguments and hands the results to the derived class, the other method is that the derived class may process it's own arguments, which is faster since the arguments don't have to be added to an array, but causes a larger code footprint.

Constructor Summary
`Function()` **For advanced use only**

Method Summary
`void` | `checkNumberArgs(int argNum)` **For advanced use only**
`XObject` | `execute(XPathContext xctxt)` **For advanced use only** Execute an XPath function object.
`void` | `setArg(Expression arg, int argNum)` **For advanced use only**

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Function

    public Function()

Method Detail

### setArg

    public void setArg(Expression arg,
                       int argNum)
                throws WrongNumberArgsException

### checkNumberArgs

    public void checkNumberArgs(int argNum)
                         throws WrongNumberArgsException

### execute

    public XObject execute(XPathContext xctxt)
                    throws SAXException

  **For advanced use only** Execute an XPath function object. The function must return a valid object.
  Parameters:
    `xctxt` - The execution current context.
  Returns:
    A valid XObject.
  Overrides:
    execute in class Expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.